# Class BreadcrumbEvents

This static class is there to contains the different string definition for all the events related to Breadcrumb.

## Index

### Properties

- clearBreadcrumb
- populateBreadcrumb

## Properties

### Static clearBreadcrumb

clearBreadcrumb: string

- Defined in events/BreadcrumbEvents.ts :35

Triggered when the user clicks the Clear All button in the breadcrumb. When this event is raised, every filter that is included in the breadcrumb should be removed.

This event does not provide custom event data.

### Static populateBreadcrumb

populateBreadcrumb: string

- Defined in events/BreadcrumbEvents.ts :29

Triggered when the breadcrumb needs to update its content. External code can use this event to provide bits of HTML that should be included in the breadcrumb.

All handlers bound to this event will receive a IPopulateBreadcrumbEventArgs as an argument.

### Hierarchy

- BreadcrumbEvents